<?php
// +----------------------------------------------------------------------+
// | papaan                                                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001,2002,2003 Bitflux GmbH                            |
// +----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or        |
// | modify it under the terms of the GNU General Public License (GPL)    |
// | as published by the Free Software Foundation; either version 2       |
// | of the License, or (at your option) any later version.               |
// | The GPL can be found at http://www.gnu.org/licenses/gpl.html         |
// +----------------------------------------------------------------------+
// | Author: Mike Hommey <mh@glandium.org>                                |
// +----------------------------------------------------------------------+
//
// $Id: resource_exists.php,v 1.3 2003/07/09 19:32:49 glandium Exp $

include_once(PAPAAN_BASE.'/components/selector.php');

/**
* Checks if a resource is available
*
* @author   Mike Hommey <mh@glandium.org>
* @version  $Id: resource_exists.php,v 1.3 2003/07/09 19:32:49 glandium Exp $
* @package  papaan
*/
class selector_resource_exists extends selector
{

    function selector_resource_exists (&$sitemap, $config) {

		parent::selector($sitemap, $config);
    }

	function test($value)
    {
		return is_file($this->sitemap->base_dir.'/'.$value);
	}
}
