<?php
// +----------------------------------------------------------------------+
// | papaan                                                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001,2002,2003 Bitflux GmbH                            |
// +----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or        |
// | modify it under the terms of the GNU General Public License (GPL)    |
// | as published by the Free Software Foundation; either version 2       |
// | of the License, or (at your option) any later version.               |
// | The GPL can be found at http://www.gnu.org/licenses/gpl.html         |
// +----------------------------------------------------------------------+
// | Author: Christian Stocker <chregu@bitflux.ch>                        |
// +----------------------------------------------------------------------+
//
// $Id: outputcache.php,v 1.3 2003/07/09 19:32:49 glandium Exp $

/**
* Class for doing the sitemap parsing stuff
*
* @author   Christian Stocker <chregu@bitflux.ch>
* @version  $Id: outputcache.php,v 1.3 2003/07/09 19:32:49 glandium Exp $
* @package  papaan2
*/


class OutputCache {

    function OutputCache() {
    	require_once('Cache/Output.php');
	    $this->cache = new Cache_Output($GLOBALS['BX_config']['papaan']['cacheContainer'], $GLOBALS['BX_config']['papaan']['cacheParams'] );
    }
    
    function start() {
    	$idParams = $_GET;
    	if (isset($idParams['SID']))
	    {
		    unset($idParams['SID']);
    	}
        $this->id = $this->cache->generateID($idParams);
    	if ($content = $this->cache->start($this->id,'outputcache') ) {
            $header = unserialize($this->cache->getUserdata($this->id,'outputcache'));
            foreach ($header as $key => $value) {
                header("$key: $value");
            }
	        print $content;

		    die();
	    }
    }
    
    function end(&$sitemap, $expire = 3600) {
            $content =  ob_get_contents();
        	ob_end_clean();
            foreach ($sitemap->header as $key => $value) {
                header("$key: $value");
            }
            print $content;
            $this->cache->container->save($this->id, $content, $expire ,'outputcache', serialize($sitemap->header));
    }
}
